# explosion 0 (ground explosion)

name = 'explosion0'
type = 'gif'

from baseexplosionobj import *
images = []

def load_game_resources():
    global images
    for loop in range(0,6):
        images.append(gfx.load('%s%d0.%s'%(name,loop,type)))

class GroundExplosion(ExplosionObj):
    def __init__(self,x,dx):
        """create a new explosion with initial values-
        this explosion always occurs on the ground"""
        global name,images
        ExplosionObj.__init__(self,name,images,x,0,dx,0)

        groundheight = game.groundarena.bottom - self.rect.height + 1
        self.y = groundheight
        self.rect.topleft = [self.x,self.y]


